Skip to main content
GET
/
object-storage
List Object Storage Services
curl --request GET \
  --url https://api.cloud.onidel.com/object-storage \
  --header 'Authorization: Bearer <token>'
{
  "services": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "location": "<string>",
      "region": "<string>",
      "endpoint": "<string>",
      "capacity": 123,
      "used_capacity": 123,
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "renewal_date": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

team_id
string<uuid>

Team ID. Default team will be used if not provided.

Response

Successful operation

services
object[]